Package org.eclipse.emf.spi.cdo

## Class DefaultCDOMerger.PerFeature.ManyValuedOld.PerSide<T>

- java.lang.Object
- - org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature.ManyValuedOld.PerSide<T>

- Direct Known Subclasses:
    `DefaultCDOMerger.PerFeature.ManyValuedOld.Element`
  Enclosing class:
    DefaultCDOMerger.PerFeature.ManyValuedOld

      public static class DefaultCDOMerger.PerFeature.ManyValuedOld.PerSide<T>
      extends java.lang.Object

  Holds data for the source and target sides.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PerSide()` |
    `PerSide​(T source, T target)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `get​(DefaultCDOMerger.PerFeature.ManyValuedOld.Side side)` |
    `void` | `set​(DefaultCDOMerger.PerFeature.ManyValuedOld.Side side, T value)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PerSide

          public PerSide()

    - #### PerSide

          public PerSide​(T source,
                         T target)

  - ### Method Detail

    - #### get

          public final T get​(DefaultCDOMerger.PerFeature.ManyValuedOld.Side side)

    - #### set

          public final void set​(DefaultCDOMerger.PerFeature.ManyValuedOld.Side side,
                                T value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`